net.minecraftforge.common

## Enum EnumPlantType

- java.lang.Object
- - java.lang.Enum<EnumPlantType>
  - - net.minecraftforge.common.EnumPlantType

- All Implemented Interfaces:
    Serializable, Comparable<EnumPlantType>

      public enum EnumPlantType
      extends Enum<EnumPlantType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Beach`
    `Cave`
    `Crop`
    `Desert`
    `Nether`
    `Plains`
    `Water`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumPlantType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumPlantType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Plains

          public static final EnumPlantType Plains

    - #### Desert

          public static final EnumPlantType Desert

    - #### Beach

          public static final EnumPlantType Beach

    - #### Cave

          public static final EnumPlantType Cave

    - #### Water

          public static final EnumPlantType Water

    - #### Nether

          public static final EnumPlantType Nether

    - #### Crop

          public static final EnumPlantType Crop

  - ### Method Detail

    - #### values

          public static EnumPlantType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumPlantType c : EnumPlantType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumPlantType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null